import { BaseCommand } from './base.js';
import { type CommandBuilder } from '../types/aliases.js';
export declare class DeploymentCommand extends BaseCommand {
    private static get DEPLOY_FLAGS_LIST();
    private create;
    getCommandDefinition(): {
        command: string;
        desc: string;
        builder: CommandBuilder;
    };
    close(): Promise<void>;
}
